/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.userfundchangerecord.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.userfundchangerecord.entity.BizUserFundChangeRecord;
import vip.xiaonuo.biz.modular.userfundchangerecord.param.BizUserFundChangeRecordAddParam;
import vip.xiaonuo.biz.modular.userfundchangerecord.param.BizUserFundChangeRecordEditParam;
import vip.xiaonuo.biz.modular.userfundchangerecord.param.BizUserFundChangeRecordIdParam;
import vip.xiaonuo.biz.modular.userfundchangerecord.param.BizUserFundChangeRecordPageParam;

import java.util.List;

/**
 * 用户账户资金变动记录Service接口
 *
 * @author wulei
 * @date  2025/02/07 11:26
 **/
public interface BizUserFundChangeRecordService extends IService<BizUserFundChangeRecord> {

    /**
     * 获取用户账户资金变动记录分页
     *
     * @author wulei
     * @date  2025/02/07 11:26
     */
    Page<BizUserFundChangeRecord> page(BizUserFundChangeRecordPageParam bizUserFundChangeRecordPageParam);

    /**
     * 添加用户账户资金变动记录
     *
     * @author wulei
     * @date  2025/02/07 11:26
     */
    void add(BizUserFundChangeRecordAddParam bizUserFundChangeRecordAddParam);

    /**
     * 编辑用户账户资金变动记录
     *
     * @author wulei
     * @date  2025/02/07 11:26
     */
    void edit(BizUserFundChangeRecordEditParam bizUserFundChangeRecordEditParam);

    /**
     * 删除用户账户资金变动记录
     *
     * @author wulei
     * @date  2025/02/07 11:26
     */
    void delete(List<BizUserFundChangeRecordIdParam> bizUserFundChangeRecordIdParamList);

    /**
     * 获取用户账户资金变动记录详情
     *
     * @author wulei
     * @date  2025/02/07 11:26
     */
    BizUserFundChangeRecord detail(BizUserFundChangeRecordIdParam bizUserFundChangeRecordIdParam);

    /**
     * 获取用户账户资金变动记录详情
     *
     * @author wulei
     * @date  2025/02/07 11:26
     **/
    BizUserFundChangeRecord queryEntity(String id);
}
